;
; GMTIMBRE.INI
;
; This is a MAKETMB data file that creates the General MIDI timbre set that
; the Apogee Sound System uses for FM sound cards.
;
; All text following a ';' is ignored as a comment.
;
; Timbres can be created in any order since MAKETMB only writes the file
; when it reaches the end of the script.  When MAKETMB encounters a
; 'patch' or 'drum' command, it copies the specified timbre from the
; last loaded IBK file to the TMB file to be created.  IBK files can be
; loaded at any time using 'loadibk'.  This allows you to take timbres
; from multiple IBK files.
;

;
; Specify the file to create
;
create gmtimbre.tmb
;create \prg\audio\source\gmtimbre.c

;
; Load instrument file
;
loadibk genmidi.ibk

;
;Explanation of Columns:
;   Destination Patch #   Source Patch #
;
patch 01  01  00  ; acpiano
patch 02  02  00  ; britepno
patch 03  03  00  ; synpiano
patch 04  04  00  ; honky
patch 05  05  00  ; epiano1
patch 06  06  00  ; epiano2
patch 07  07  00  ; hrpschrd
patch 08  08  00  ; clavinet
patch 09  09  00  ; celeste
patch 10  10  00  ; glocken
patch 11  11  00  ; musicbox
patch 12  12  00  ; vibes
patch 13  13  00  ; marimba
patch 14  14  00  ; xylophon
patch 15  15  00  ; tubebell
patch 16  16  00  ; santur
patch 17  17  00  ; homeorg
patch 18  18  00  ; percorg
patch 19  19  00  ; rockorg
patch 20  20  00  ; church
patch 21  21  00  ; reedorg
patch 22  22  00  ; accordn
patch 23  23  00  ; harmonca
patch 24  24  00  ; concrtna
patch 25  25  00  ; nyguitar
patch 26  26  00  ; acguitar
patch 27  27  00  ; jazzgtr
patch 28  28  00  ; cleangtr
patch 29  29  00  ; mutegtr
patch 30  30  00  ; odguitar
patch 31  31  00  ; distgtr
patch 32  32  00  ; gtrharm
patch 33  33  00  ; acbass
patch 34  34  00  ; fngrbass
patch 35  35  00  ; pickbass
patch 36  36  00  ; fretless
patch 37  37  00  ; slapbas1
patch 38  38  00  ; slapbas2
patch 39  39  00  ; synbass1
patch 40  40  00  ; synbass2
patch 41  41  00  ; violin
patch 42  42  00  ; viola
patch 43  43  00  ; cello
patch 44  44  00  ; contraba
patch 45  45  00  ; tremstr
patch 46  46  00  ; pizzcato
patch 47  47  00  ; harp
patch 48  48  00  ; timpani
patch 49  49  00  ; marcato
patch 50  50  00  ; slowstr
patch 51  51  00  ; synstr1
patch 52  52  00  ; synstr2
patch 53  53  00  ; choir
patch 54  54  00  ; doo
patch 55  55  00  ; voices
patch 56  56  00  ; orchhit
patch 57  57  00  ; trumpet
patch 58  58  00  ; trombone
patch 59  59  00  ; tuba
patch 60  60  00  ; mutetrum
patch 61  61  00  ; frenchrn
patch 62  62  00  ; hitbrass
patch 63  63  00  ; synbras1
patch 64  64  00  ; synbras2
patch 65  65  00  ; sprnosax
patch 66  66  00  ; altosax
patch 67  67  00  ; tenorsax
patch 68  68  00  ; barisax
patch 69  69  00  ; oboe
patch 70  70  00  ; englhorn
patch 71  71  00  ; bassoon
patch 72  72  00  ; clarinet
patch 73  73  00  ; piccolo
patch 74  74  00  ; flute
patch 75  75  00  ; recorder
patch 76  76  00  ; woodflut
patch 77  77  00  ; bottle
patch 78  78  00  ; shakazul
patch 79  79  00  ; whistle
patch 80  80  00  ; ocarina
patch 81  81  00  ; sqrwave
patch 82  82  00  ; sawwave
patch 83  83  00  ; calliope
patch 84  84  00  ; chiflead
patch 85  85  00  ; charang
patch 86  86  00  ; voxlead
patch 87  87  00  ; lead5th
patch 88  88  00  ; basslead
patch 89  89  00  ; fantasia
patch 90  90  00  ; warmpad
patch 91  91  00  ; polysyn
patch 92  92  00  ; ghostie
patch 93  93  00  ; bowglass
patch 94  94  00  ; metalpad
patch 95  95  00  ; halopad
patch 96  96  00  ; sweeper
patch 97  97  00  ; aurora
patch 98  98  00  ; soundtrk
patch 99  99  00  ; crystal
patch 100 100 00  ; atmosphr
patch 101 101 00  ; freshair
patch 102 102 00  ; unicorn
patch 103 103 00  ; echovox
patch 104 104 00  ; startrak
patch 105 105 00  ; sitar
patch 106 106 00  ; banjo
patch 107 107 00  ; shamisen
patch 108 108 00  ; koto
patch 109 109 00  ; kalimba
patch 110 110 00  ; bagpipes
patch 111 111 00  ; fiddle
patch 112 112 00  ; shannai
patch 113 113 00  ; carillon
patch 114 114 00  ; agogo
patch 115 115 00  ; steeldrm
patch 116 116 00  ; woodblk
patch 117 117 00  ; taiko
patch 118 118 00  ; toms
patch 119 119 00  ; syntom
patch 120 120 00  ; revcym
patch 121 121 00  ; fx-fret
patch 122 122 00  ; fx-blow
patch 123 123 00  ; seashore
patch 124 124 00  ; jungle
patch 125 125 00  ; telephon
patch 126 126 00  ; helicptr
patch 127 127 00  ; applause
patch 128 128 00  ; ringwhsl

;
; Load instrument file with drum timbres
;
loadibk percus.ibk

;
;Explanation of Columns:
;   MIDI key #  Patch to use  Pitch (MIDI note #)
;
drum 00   56  35  ;
drum 01   56  35  ;
drum 02   56  35  ;
drum 03   56  35  ;
drum 04   56  35  ;
drum 05   56  35  ;
drum 06   56  35  ;
drum 07   56  35  ;
drum 08   56  35  ;
drum 09   56  35  ;
drum 10   56  35  ;
drum 11   56  35  ;
drum 12   56  35  ;
drum 13   56  35  ;
drum 14   56  35  ;
drum 15   56  35  ;
drum 16   56  35  ;
drum 17   56  35  ;
drum 18   56  35  ;
drum 19   56  35  ;
drum 20   56  35  ;
drum 21   56  35  ;
drum 22   56  35  ;
drum 23   56  35  ;
drum 24   56  35  ;
drum 25   56  35  ;
drum 26   56  35  ;
drum 27   56  35  ;  highq
drum 28   56  35  ;  slap
drum 29   56  35  ;  scratch1
drum 30   56  35  ;  scratch2
drum 31   56  35  ;  sticks
drum 32   56  35  ;  sqrclick
drum 33   56  35  ;  metclick
drum 34   56  35  ;  metbell
drum 35   56  40  ;  kick1
drum 36   36  36  ;  kick2
drum 37   37  53  ;  stickrim
drum 38   38  72  ;  snare1
drum 39   39  60  ;  claps
drum 40   40  47  ;  snare2
drum 41   41  43  ;  tomlo2
drum 42   42  49  ;  hihatcl
drum 43   43  43  ;  tomlo1
drum 44   44  51  ;  hihatpd
drum 45   45  43  ;  tommid2
drum 46   46  54  ;  hihatop
drum 47   47  57  ;  tommid1
drum 48   48  72  ;  tomhi2
drum 49   49  80  ;  cymcrsh1
drum 50   50  76  ;  tomhi1
drum 51   51  84  ;  cymride1
drum 52   52  36  ;  cymchina
drum 53   53  76  ;  cymbell
drum 54   54  84  ;  tamborin
drum 55   55  83  ;  cymsplsh
drum 56   56  84  ;  cowbell
drum 57   57  85  ;  cymcrsh2
drum 58   58  43  ;  vibslap
drum 59   59  60  ;  cymride2
drum 60   60  65  ;  bongohi
drum 61   61  59  ;  bongolo
drum 62   62  51  ;  congahi1
drum 63   63  45  ;  congahi2
drum 64   64  71  ;  congalo
drum 65   65  60  ;  timbaleh
drum 66   66  58  ;  timbalel
drum 67   67  53  ;  agogohi
drum 68   68  64  ;  agogolo
drum 69   69  71  ;  cabasa
drum 70   70  61  ;  maracas
drum 71   71  61  ;  whistle1
drum 72   72  48  ;  whistle2
drum 73   73  55  ;  guiro1
drum 74   74  55  ;  guiro2
drum 75   75  68  ;  clave
drum 76   76  63  ;  woodblk1
drum 77   77  74  ;  woodblk2
drum 78   78  60  ;  cuica1
drum 79   79  80  ;  cuica2
drum 80   80  64  ;  triangl1
drum 81   81  69  ;  triangl2
drum 82   82  60  ;  shaker
drum 83   83  75  ;  jingles
drum 84   84  68  ;  belltree
drum 85   85  48  ;  castinet
drum 86   86  53  ;  surdo1
drum 87   87  35  ;  surdo2
drum 88   56  35  ;
drum 89   56  35  ;
drum 90   56  35  ;
drum 91   56  35  ;
drum 92   56  35  ;
drum 93   56  35  ;
drum 94   56  35  ;
drum 95   56  35  ;
drum 96   56  35  ;
drum 97   56  35  ;
drum 98   56  35  ;
drum 99   56  35  ;
drum 100  56  35  ;
drum 101  56  35  ;
drum 102  56  35  ;
drum 103  56  35  ;
drum 104  56  35  ;
drum 105  56  35  ;
drum 106  56  35  ;
drum 107  56  35  ;
drum 108  56  35  ;
drum 109  56  35  ;
drum 110  56  35  ;
drum 111  56  35  ;
drum 112  56  35  ;
drum 113  56  35  ;
drum 114  56  35  ;
drum 115  56  35  ;
drum 116  56  35  ;
drum 117  56  35  ;
drum 118  56  35  ;
drum 119  56  35  ;
drum 120  56  35  ;
drum 121  56  35  ;
drum 122  56  35  ;
drum 123  56  35  ;
drum 124  56  35  ;
drum 125  56  35  ;
drum 126  56  35  ;
drum 127  56  35  ;
